JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const definition = await client.definitions.update('123e4567-e89b-12d3-a456-426614174000', {
name: 'Updated Naturalness Check',
});
console.log(definition.data);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
definition = client.definitions.update(
id="123e4567-e89b-12d3-a456-426614174000",
name="Updated Naturalness Check",
)
print(definition.data)curl --request PUT \
--url https://api.avidoai.com/v0/definitions/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"name": "Updated Naturalness Check"
}
'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"name": "<string>",
"globalConfig": {
"criterion": "<string>"
},
"styleGuideId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"title": "Customer Support Bot",
"slug": "customer-support-bot",
"description": "AI assistant for customer support inquiries",
"context": "You are a helpful customer support assistant...",
"language": "en",
"type": "CHATBOT",
"environment": "DEV",
"humanAnnotationEnabled": false,
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z"
},
"topics": [
"456e4567-e89b-12d3-a456-426614174000"
]
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Eval Definitions
Update an evaluation definition
Updates an existing evaluation definition.
PUT
/
v0
/
definitions
/
{id}
JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const definition = await client.definitions.update('123e4567-e89b-12d3-a456-426614174000', {
name: 'Updated Naturalness Check',
});
console.log(definition.data);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
definition = client.definitions.update(
id="123e4567-e89b-12d3-a456-426614174000",
name="Updated Naturalness Check",
)
print(definition.data)Authorizations
Your unique Avido API key
Your unique Avido Application ID
Path Parameters
The unique identifier of the evaluation definition
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Request body for updating an evaluation definition
Response
Successfully updated evaluation definition
Response containing an eval definition
Show child attributes
Show child attributes
⌘I